<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования раздела интернет-магазинов.
 * 
 * Файл: /admin/shop/action/add_shop_dir.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
 
$shop = & singleton('shop');

$param = array();

// Редактирование раздела интернет-магазинов
if (isset($_REQUEST['shop_dir_id']))
{
	$param['shop_dir_id'] = intval($_REQUEST['shop_dir_id']);
}

$param['shop_dir_parent_id'] = to_int($_REQUEST['current_shop_dir_id']);
$param['shop_dir_name'] = to_str($_REQUEST['shop_dir_name']); 
$param['shop_dir_description'] = to_str($_REQUEST['shop_dir_description']);
$param['site_id'] = CURRENT_SITE;		

if ($insert_shop_dir_id = $shop->InsertShopsDir($param))
{
	// Добавим скрытое поле к форме с ID созданного элемента
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddShopsDir', 'shop_dir_id', '<?php echo $insert_shop_dir_id?>');
	</script><?php

	// Редактирование информационной системы
	if (isset($_REQUEST['shop_dir_id']))
	{
		show_message($GLOBALS['MSG_shops']['edit_shop_dir_success']);
	}
	else
	{
		show_message($GLOBALS['MSG_shops']['add_shop_dir_success']);
	}
}
else
{
	show_error_message($GLOBALS['MSG_shops']['error_add_edit_shop_dir']);
}

?>